Subject: Re: bug#40736: Python manylinux wheels cannot find libstdc++.so.6

From: "Boris A. Dekshteyn" <[email-masked]>
Date: Tue, 21 Apr 2020 19:33:19 +1200

<[email-masked]> writes:

> Hi,
>
> I cannot get precompiled python wheels working in a guix environment,
> because libstdc++.so.6 is missing. Is this library hidden on purpose?
>
> It is available for example in
> /gnu/store/xqjpihbfdc62d2q0sn8i0y0g1xpzbr1s-gcc-9.3.0-lib/lib/ and
> adding that path manually to LD_LIBRARY_PATH seems to fix the issue.
>
> What is the proper way to include libstdc++.so.6 in my profile?

#+BEGIN_EXAMPE
  guix environment --ad-hoc -e '(list (@@ (gnu packages gcc) gcc-9) "lib")'
#+END_EXAMPLE

-- 
WBR, Boris Dekshteyn